summaryrefslogtreecommitdiff
path: root/tests/chgrp/basic
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-04-03 20:32:44 +0200
committerJim Meyering <meyering@redhat.com>2012-04-04 12:20:56 +0200
commite43d30eab3215bc9ff49ec7db3d3e2baa95ba070 (patch)
treeb3828ca5bdc794f9b8648af1996d2863663c8590 /tests/chgrp/basic
parent64ecea53d9b4c1ecbf6d02ff8c4ae98b3a82e9a2 (diff)
downloadcoreutils-e43d30eab3215bc9ff49ec7db3d3e2baa95ba070.tar.xz
tests: convert nearly all `...` expressions to $(...)
Exempt init.sh because it runs before we're assured to have a shell that groks $(...). Exempt *.mk because "$" would have to be doubled, and besides, any `...` expression in a .mk file is almost certainly evaluated before init.sh is run. Finally, also exempt the perl-based tests, because perl's `...` cannot be converted to $(...). Do that by running this command: git grep -l '`.*`' tests \ | grep -Ev 'init\.sh|\.mk$' | xargs grep -Lw perl \ | xargs perl -pi -e 's/`(.*?)`/\$($1)/g' One minor fix-up change was required after that, due to how quoting differs: diff --git a/tests/chmod/equals b/tests/chmod/equals - expected_perms=$(eval 'echo \$expected_'$dest) + expected_perms=$(eval 'echo $expected_'$dest) Another was to make these required quoting adjustments: diff --git a/tests/misc/stty b/tests/misc/stty ... - rev=$(eval echo "\\\$REV_$opt") + rev=$(eval echo "\$REV_$opt") ... - rev1=$(eval echo "\\\$REV_$opt1") - rev2=$(eval echo "\\\$REV_$opt2") + rev1=$(eval echo "\$REV_$opt1") + rev2=$(eval echo "\$REV_$opt2") Also, transform two files that were needlessly excluded above: (both use perl, but are mostly bourne shell) perl -pi -e 's/`(.*?)`/\$($1)/g' \ tests/du/long-from-unreadable tests/init.cfg
Diffstat (limited to 'tests/chgrp/basic')
-rwxr-xr-xtests/chgrp/basic48
1 files changed, 24 insertions, 24 deletions
diff --git a/tests/chgrp/basic b/tests/chgrp/basic
index 9c384ba38..8ce2f2ddc 100755
--- a/tests/chgrp/basic
+++ b/tests/chgrp/basic
@@ -33,53 +33,53 @@ chgrp -R $g1 d || fail=1
d_files='d d/f3'
-chgrp $g1 f || fail=1 ; test `stat --p=%g f` = $g1 || fail=1
-chgrp $g2 f || fail=1 ; test `stat --p=%g f` = $g2 || fail=1
-chgrp $g2 f || fail=1 ; test `stat --p=%g f` = $g2 || fail=1
-chgrp '' f || fail=1 ; test `stat --p=%g f` = $g2 || fail=1
-chgrp $g1 f || fail=1 ; test `stat --p=%g f` = $g1 || fail=1
-chgrp $g1 f || fail=1 ; test `stat --p=%g f` = $g1 || fail=1
-chgrp --reference=f2 f ; test `stat --p=%g f` = $g2 || fail=1
-
-chgrp -R $g2 d ||fail=1; test `stat --p=%g: $d_files` = "$g2:$g2:" || fail=1
-chgrp -R $g1 d ||fail=1; test `stat --p=%g: $d_files` = "$g1:$g1:" || fail=1
-chgrp -R $g2 d ||fail=1; test `stat --p=%g: $d_files` = "$g2:$g2:" || fail=1
-chgrp -R $g1 d ||fail=1; test `stat --p=%g: $d_files` = "$g1:$g1:" || fail=1
-chgrp $g2 d ||fail=1; test `stat --p=%g: $d_files` = "$g2:$g1:" || fail=1
+chgrp $g1 f || fail=1 ; test $(stat --p=%g f) = $g1 || fail=1
+chgrp $g2 f || fail=1 ; test $(stat --p=%g f) = $g2 || fail=1
+chgrp $g2 f || fail=1 ; test $(stat --p=%g f) = $g2 || fail=1
+chgrp '' f || fail=1 ; test $(stat --p=%g f) = $g2 || fail=1
+chgrp $g1 f || fail=1 ; test $(stat --p=%g f) = $g1 || fail=1
+chgrp $g1 f || fail=1 ; test $(stat --p=%g f) = $g1 || fail=1
+chgrp --reference=f2 f ; test $(stat --p=%g f) = $g2 || fail=1
+
+chgrp -R $g2 d ||fail=1; test $(stat --p=%g: $d_files) = "$g2:$g2:" || fail=1
+chgrp -R $g1 d ||fail=1; test $(stat --p=%g: $d_files) = "$g1:$g1:" || fail=1
+chgrp -R $g2 d ||fail=1; test $(stat --p=%g: $d_files) = "$g2:$g2:" || fail=1
+chgrp -R $g1 d ||fail=1; test $(stat --p=%g: $d_files) = "$g1:$g1:" || fail=1
+chgrp $g2 d ||fail=1; test $(stat --p=%g: $d_files) = "$g2:$g1:" || fail=1
rm -f f
touch f
ln -s f symlink
chgrp $g1 f
-test `stat --printf=%g f` = $g1 || fail=1
+test $(stat --printf=%g f) = $g1 || fail=1
# This should not change the group of f.
chgrp -h $g2 symlink
-test `stat --printf=%g f` = $g1 || fail=1
+test $(stat --printf=%g f) = $g1 || fail=1
# Don't fail if chgrp failed to set the group of a symlink.
# Some systems don't support that.
-test `stat --printf=%g symlink` = $g2 ||
+test $(stat --printf=%g symlink) = $g2 ||
echo 'info: failed to set group of symlink' 1>&2
-chown --from=:$g1 :$g2 f; test `stat --printf=%g f` = $g2 || fail=1
+chown --from=:$g1 :$g2 f; test $(stat --printf=%g f) = $g2 || fail=1
# This *should* change the group of f.
# Though note that the diagnostic is misleading in that
# it says the 'group of 'symlink'' has been changed.
-chgrp $g1 symlink; test `stat --printf=%g f` = $g1 || fail=1
-chown --from=:$g1 :$g2 f; test `stat --printf=%g f` = $g2 || fail=1
+chgrp $g1 symlink; test $(stat --printf=%g f) = $g1 || fail=1
+chown --from=:$g1 :$g2 f; test $(stat --printf=%g f) = $g2 || fail=1
# If -R is specified without -H or L, -h is assumed.
-chgrp -h $g1 f symlink; test `stat --printf=%g symlink` = $g1 || fail=1
+chgrp -h $g1 f symlink; test $(stat --printf=%g symlink) = $g1 || fail=1
chgrp -R $g2 symlink
-chown --from=:$g1 :$g2 f; test `stat --printf=%g f` = $g2 || fail=1
+chown --from=:$g1 :$g2 f; test $(stat --printf=%g f) = $g2 || fail=1
# Make sure we can change the group of inaccessible files.
chmod a-r f
-chown --from=:$g2 :$g1 f; test `stat --printf=%g f` = $g1 || fail=1
+chown --from=:$g2 :$g1 f; test $(stat --printf=%g f) = $g1 || fail=1
chmod 0 f
-chown --from=:$g1 :$g2 f; test `stat --printf=%g f` = $g2 || fail=1
+chown --from=:$g1 :$g2 f; test $(stat --printf=%g f) = $g2 || fail=1
# chown() must not be optimized away even when
# the file's owner and group already have the desired value.
@@ -96,7 +96,7 @@ chgrp $g1 f
# ctime is more recent. This is not a big deal;
# this test works fine when the files are on a local file system (/tmp).
chgrp '' f
-test "`ls -C -c -t f g`" = 'f g' || \
+test "$(ls -C -c -t f g)" = 'f g' || \
{
case $host_triplet in
*openbsd*) echo ignoring known OpenBSD-specific chgrp failure 1>&2 ;;